## schooltool.cando 0.6

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool.cando
LOCALES=src/schooltool/cando/locales
TRANSLATIONS_ZCML=schooltool/cando/translations.zcml

DIST=/home/ftp/pub/schooltool/flourish
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: | buildout.cfg python
	python/bin/python bootstrap.py

buildout.cfg:
	cp deploy.cfg buildout.cfg

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: develop
develop bin/coverage: buildout.cfg develop.cfg
	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
	$(MAKE) buildout

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

.PHONY: run
run: build instance
	bin/start-schooltool-instance instance

.PHONY: tags
tags: build
	bin/ctags

.PHONY: clean
clean:
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean:
	rm -f buildout.cfg
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: bin/coverage build
	test -d coverage || $(MAKE) coverage
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
	test -d ftest-coverage || $(MAKE) ftest-coverage
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Release

.PHONY: release
release: compile-translations
	-cp buildout.cfg buildout.cfg~dev~
	cp deploy.cfg buildout.cfg
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt
	-mv buildout.cfg~dev~ buildout.cfg

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	@VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev

=== debian/changelog ===
schooltool.cando (0.6-0ubuntu2) raring; urgency=low

  * Upload to Ubuntu (LP: #1147311).

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 05 Mar 2013 19:20:54 +0200

schooltool.cando (0.6-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 25 Feb 2013 19:44:22 +0200

schooltool.cando (0.5.1-0ubuntu1) raring; urgency=low

  * New upstream release
    - New PDF reports

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 18 Feb 2013 20:09:22 +0200

schooltool.cando (0.4.4-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 18 Feb 2013 19:10:29 +0200

schooltool.cando (0.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 11 Feb 2013 19:36:33 +0200

schooltool.cando (0.4.2-0ubuntu1) quantal; urgency=low

  * New upstream release
    - IEP & skill scoresystems

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 29 Jan 2013 13:38:27 -0500

schooltool.cando (0.4.1-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 29 Nov 2012 20:07:31 +0200

schooltool.cando (0.4-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 27 Nov 2012 02:14:55 +0200

schooltool.cando (0.3.2-0ubuntu1) quantal; urgency=low

  * Brown paper bag release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 09 Nov 2012 20:11:37 +0200

schooltool.cando (0.3.1-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Fixes missing scores after update to 0.3

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 08 Nov 2012 18:14:39 +0200

schooltool.cando (0.3-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 19 Oct 2012 03:16:16 +0300

schooltool.cando (0.2.1-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 27 Sep 2012 16:51:44 +0300

schooltool.cando (0.2-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 13 Sep 2012 20:08:18 +0300

schooltool.cando (0.1-0ubuntu1) precise; urgency=low

  * Inital Release

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 08 Aug 2012 19:42:25 +0300

## schooltool.cando 0.6.2

=== debian/changelog ===
schooltool.cando (0.6.2-0ubuntu1) raring; urgency=low

  * New upstream release
    - Added section student competency report

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 25 Mar 2013 14:02:35 +0200

schooltool.cando (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 20 Mar 2013 01:04:08 +0200

=== debian/control ===
Source: schooltool.cando
Section: education
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Homepage: https://launchpad.net/schooltool.cando

Package: python-schooltool.cando
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         python-schooltool (>= 1:2.4~a2)
Provides: ${pydeb:Provides}
Suggests: ${pydeb:Suggests}
Description: CanDo plugin for SchoolTool
 CanDo is a complete system for tracking skills, competencies, standards, or
 any similar set of student outcomes.

=== debian/tests/control ===
Tests: all
Depends: @, python-zope.testrunner, python-schooltool.devtools

## schooltool.cando 0.7.0

=== debian/changelog ===
schooltool.cando (0.7.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Made label and description fields uniform across forms, export, and
      sample data (LP: #1103708, LP: #1126624, LP: #1126612)
    - Remove rwproperty dependency
    - Other small tweaks
  * debian/control: requires Python >= 2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 18 Apr 2013 18:25:06 +0300

## schooltool.cando 0.7.1

=== Makefile ===
--- 
+++ 
@@ -153,7 +153,8 @@
 
 .PHONY: upload
 upload:
-	@VERSION=`cat version.txt.in` ;\
+	set -e ;\
+	VERSION=`cat version.txt.in` ;\
 	DIST=$(DIST) ;\
 	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
 	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
@@ -169,7 +170,8 @@
 
 .PHONY: ubuntu-environment
 ubuntu-environment:
-	sudo apt-get install bzr build-essential gettext enscript ttf-liberation \
-	    python-all-dev python-virtualenv ttf-ubuntu-font-family \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg62-dev
+	sudo apt-get install build-essential gettext enscript \
+	    python-dev python-virtualenv \
+	    ttf-ubuntu-font-family ttf-liberation \
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev

=== debian/changelog ===
schooltool.cando (0.7.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Fixed "Add skill" form with z3c.form version in raring (LP: #1185433)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 29 May 2013 20:53:19 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python-setuptools,
                python-van.pydeb
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.cando
 
 Package: python-schooltool.cando

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/flourish/schooltool.cando-(\d.*)\.tar\.gz

## schooltool.cando 0.8.0

=== debian/changelog ===
schooltool.cando (0.8.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control: requires python-schooltool (>= 1:2.5~)
  * debian/watch: change series to trunk

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 01 Aug 2013 21:49:53 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.cando
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.4~a2)
+         python-schooltool (>= 1:2.5~)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: CanDo plugin for SchoolTool

## schooltool.cando 0.8.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/cando/locales
 TRANSLATIONS_ZCML=schooltool/cando/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/flourish
+DIST=/home/ftp/pub/schooltool/trunk
 PYTHON=python
 
 INSTANCE_TYPE=schooltool
@@ -44,27 +44,76 @@
 instance: | build
 	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)
 
+instance/run/supervisord.pid:
+	bin/supervisord
+
 .PHONY: run
-run: build instance
+run: build instance instance/run/supervisord.pid
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
 	bin/start-schooltool-instance instance
+
+.PHONY: start
+start: build instance instance/run/supervisord.pid
+	bin/supervisorctl start all
+	@bin/supervisorctl status
+
+.PHONY: start-services
+start-services: build instance instance/run/supervisord.pid
+	@bin/supervisorctl status | grep services[:] | grep -v RUNNING && bin/supervisorctl start "services:*" || exit 0
+	@bin/supervisorctl status | grep services[:]
+
+.PHONY: restart
+restart: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	bin/supervisorctl restart schooltool
+	@bin/supervisorctl status
+
+.PHONY: rerun
+rerun: build instance instance/run/supervisord.pid
+	@bin/supervisorctl restart "services:celery_report"
+	@bin/supervisorctl start "services:*"
+	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
+	@bin/supervisorctl status
+	bin/start-schooltool-instance instance
+
+.PHONY: stop
+stop:
+	@test -S instance/run/supervisord.sock && bin/supervisorctl status | grep -v STOPPED && bin/supervisorctl stop all || exit 0
+	@test -S instance/run/supervisord.sock && bin/supervisorctl shutdown || echo Nothing to stop
+	@rm -f instance/run/zeo.sock
+	@rm -f instance/run/supervisord.sock
+	@rm -f instance/run/supervisord.pid
+
+.PHONY: status
+status:
+	@test -f instance/run/supervisord.pid && bin/supervisorctl status || echo All services shut down
 
 .PHONY: tags
 tags: build
 	bin/ctags
 
 .PHONY: clean
-clean:
+clean: stop
 	rm -rf python
 	rm -rf bin develop-eggs parts .installed.cfg
 	rm -rf build
 	rm -f ID TAGS tags
 	rm -rf coverage ftest-coverage
+	rm -rf instance/var/celerybeat-schedule
+	rm -rf instance/var/redis-dump.rdb
+	rm -rf instance/run/zeo.sock
+	rm -rf instance/run/supervisord.sock
+	rm -rf instance/run/supervisord.pid
+	rm -rf instance/var/Data.fs.lock
 	find . -name '*.py[co]' -delete
 	find . -name '*.mo' -delete
 	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +
 
 .PHONY: realclean
-realclean:
+realclean: stop
 	rm -f buildout.cfg
 	rm -rf eggs
 	rm -rf dist
@@ -162,8 +211,8 @@
 	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
 	else \
-	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
-	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* schooltool.org:$${DIST} ;\
+	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
+	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
 	fi
 
 # Helpers
@@ -173,5 +222,6 @@
 	sudo apt-get install build-essential gettext enscript \
 	    python-dev python-virtualenv \
 	    ttf-ubuntu-font-family ttf-liberation \
-	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev
-
+	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev \
+	    redis-server
+

=== debian/changelog ===
schooltool.cando (0.8.1-0ubuntu1) saucy; urgency=low

  * New upstream release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Aug 2013 15:29:53 +0300

## schooltool.cando 0.8.2

=== debian/changelog ===
schooltool.cando (0.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Batch-deprecation of skills, skill sets and nodes

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 00:24:14 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.cando
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.5~)
+         python-schooltool (>= 1:2.5.3~)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: CanDo plugin for SchoolTool

## schooltool.cando 2.6.0

=== debian/changelog ===
schooltool.cando (2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Student's view for projects
    - Name column split
    - Fix sorting in reports and export
  * debian/control: requires python-schooltool (>= 1:2.6)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 22:30:06 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool.cando
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         python-schooltool (>= 1:2.5.3~)
+         python-schooltool (>= 1:2.6)
 Provides: ${pydeb:Provides}
 Suggests: ${pydeb:Suggests}
 Description: CanDo plugin for SchoolTool

## schooltool.cando 2.6.1

=== debian/changelog ===
schooltool.cando (2.6.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 24 Nov 2013 22:25:20 +0200

## schooltool.cando 2.6.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 INSTANCE_TYPE=schooltool
 BUILDOUT_FLAGS=
+REDIS_PORT:=$$(grep ^port instance/redis.conf | cut -d' ' -f 2)
 
 .PHONY: all
 all: build
@@ -52,7 +53,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: start
 start: build instance instance/run/supervisord.pid
@@ -77,7 +78,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: stop
 stop:

=== debian/changelog ===
schooltool.cando (2.6.2-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
    - Error generating reports (LP: #1306778)

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 11 Apr 2014 23:49:51 +0300

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test

%:
	dh $@ -Spython_distutils --with pydeb --with python2

locales=src/schooltool/cando/locales

override_dh_auto_build:
	rm -f $(locales)/*.po
	rm -f $(locales)/*.pot
	rm -f $(locales)/__init__.py
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool.cando-(\d.*)\.tar\.gz

## schooltool.cando 2.6.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/cando/locales
 TRANSLATIONS_ZCML=schooltool/cando/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/trunk
+DIST=/home/ftp/pub/schooltool/2.6
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool.cando (2.6.3-0ubuntu2) utopic; urgency=medium

  * Upload to utopic.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 06 May 2014 00:08:32 +0300

schooltool.cando (2.6.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
  * debian/control: Bump Standards-Version to 3.9.5
  * debian/watch: change series to 2.6

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 06 May 2014 00:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: https://launchpad.net/schooltool.cando

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/2.6/schooltool.cando-(\d.*)\.tar\.gz
